LibreOffice: XIndexContainer Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XIndexContainer Interface Referencepublished

This is the generic interface for supporting the insertion and removal of indexed elements. More...

`import "XIndexContainer.idl";`

Inheritance diagram for XIndexContainer:

## Public Member Functions
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index.
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index.
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This is the generic interface for supporting the insertion and removal of indexed elements.

See also
  XContainer

Developers Guide
  Professional UNO - Collections and Containers

## Member Function Documentation

## ◆ insertByIndex()

void insertByIndex | ( | [in] long | Index,
|  | [in] any | Element )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IndexOutOfBoundsException,
|  | com::sun::star::lang::WrappedTargetException ) |  |  |

inserts the given element at the specified index.

To append an element, use the index "last index +1".

## ◆ removeByIndex()

void removeByIndex | ( | [in] long | Index | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException,
|  | com::sun::star::lang::WrappedTargetException ) |  |  |

removes the element at the specified index.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XIndexContainer.idl